Bug 980985 - No progress bar when coping files
No progress bar when coping files
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On: 984217
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 14:15 EDT by Edouard Bourguignon
Modified: 2014-01-03 08:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 08:23:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 693396 None None None Never

  None (edit)
Description Edouard Bourguignon 2013-07-03 14:15:47 EDT
Description of problem:
When copying files over smb shares, the window status showing the progress (number of files left, bytes/sec etc) is not updated. But files are still being copied (I can check with iptraf-ng). This was working fine a few days ago before F19 final release.

Version-Release number of selected component (if applicable):
nautilus-3.8.2-1.fc19.x86_64
gvfs-smb-1.16.3-2.fc19.x86_64

How reproducible:
seems static. Big files over smb.

Steps to Reproduce:
1. type smb://your_smbsrv/your_share in nautilus
2. browse without problem
3. copy one huge directory to your local homedir

Actual results:
the window showing progress appears. Sometime it works for a few files, then it frozes.

Expected results:
progress should be updated as long as the copy is running.

Additional info:
right click on some huge directory (about >10GiB), nautilus is not able to calculate the actual size. It loops. Maybe an other bug, have this one since f18.
Comment 1 Edouard Bourguignon 2013-07-04 03:16:50 EDT
Just had this gvfs crash when copying files:

53509775c7a276dc52ab8c631a6aad8d47f14246 0x4ee0d g_logv /lib64/libglib-2.0.so.0 a7617438337efd0aafb4157fe6af92589f00a32a
53509775c7a276dc52ab8c631a6aad8d47f14246 0x4eff2 g_log /lib64/libglib-2.0.so.0 7cc078aba6a786244bf5d1e81deaef629a3452b0
53509775c7a276dc52ab8c631a6aad8d47f14246 0x864db g_wakeup_new /lib64/libglib-2.0.so.0 3f8c740ba13b4b3a8b860f6903497422ba81664b
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0x3571f g_cancellable_make_pollfd /lib64/libgio-2.0.so.0 6af6b1a7fbed392d21b2c90741d83623b2f47e68
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0x6d8a0 g_socket_create_source /lib64/libgio-2.0.so.0 92a75217dee907fce487acd271353a77f20dbb3e
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0x74b9c add_sources /lib64/libgio-2.0.so.0 d4ede1220e6b44cd38905fe097429e7af9a29d69
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0x755f6 g_socket_listener_accept_socket_async /lib64/libgio-2.0.so.0 e44738a9a1da961fa6aca9fdfb2626c2332912a2
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0x76424 g_socket_service_changed /lib64/libgio-2.0.so.0 5e292a485329a5bee0554f04d96de2b0dff61e92
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0x74f4d g_socket_listener_add_socket /lib64/libgio-2.0.so.0 8b4c00fc6d727bd9b84a9f497b47cef29d0a38ad
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0x750b6 g_socket_listener_add_address /lib64/libgio-2.0.so.0 3a929e5d3ad5766c3b55efa200798becde701352
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0xcd480 initable_init /lib64/libgio-2.0.so.0 3add9cf183ff9f8a061e1e1aa929532e8d475e44
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0x5662a g_initable_new_valist /lib64/libgio-2.0.so.0 0d7ed76abe620df6a3f234dbc270356ee5f15355
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0x5670c g_initable_new /lib64/libgio-2.0.so.0 212da31fa79c71b5243b44ece7cd09cd6cefa219
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0xcdde5 g_dbus_server_new_sync /lib64/libgio-2.0.so.0 b4120ff4bfc1ba55e1dceb347c64824080bac833
27ef28cbbdd4f6da0b49a99bc5ab96ed85f4c6cb 0xd500 handle_get_connection /usr/libexec/gvfsd-smb d7812842a975e98d010cb602daad52dd1005f1d6
98af07c114710f13a6ea4ee510bb8baf997abfd4 0x5cfc ffi_call_unix64 /lib64/libffi.so.6 c4b6fd4def7199ae37097ad873efefe087480f37
98af07c114710f13a6ea4ee510bb8baf997abfd4 0x562c ffi_call /lib64/libffi.so.6 c7b676db482fae39fc655262820259dba7db27de
625512634b09c1a60b294114e659eabde88ab7fb 0x10268 g_cclosure_marshal_generic /lib64/libgobject-2.0.so.0 c0814e32d1ab66ff9e73ad369e04c851b80759e8
625512634b09c1a60b294114e659eabde88ab7fb 0xfa28 g_closure_invoke /lib64/libgobject-2.0.so.0 18bb14e4f5989b8fb8aac7b42c3d4ba84b0e7873
625512634b09c1a60b294114e659eabde88ab7fb 0x20a3d signal_emit_unlocked_R /lib64/libgobject-2.0.so.0 980fc510c08a204e3ee0989df07134389a5312eb
625512634b09c1a60b294114e659eabde88ab7fb 0x278d1 g_signal_emitv /lib64/libgobject-2.0.so.0 5d45484753b8c67be4a08054de78abdac2e5a598
2b4c98153730e08c46561c71ca97f12208d08b6d 0x1afb1 _gvfs_dbus_daemon_skeleton_handle_method_call /lib64/libgvfscommon.so.0 40e4d5d4068d4c74fef1d96f496dd61d57e02734
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0xcf086 skeleton_intercept_handle_method_call /lib64/libgio-2.0.so.0 ba2febd64e1ef36dadff749188bc0da9ca4c227f
ff3f9fa96bc455659fe4f0f1afe7891f971688b3 0xb7dd1 call_in_idle_cb /lib64/libgio-2.0.so.0 9e63ccf1abc6651357fdbdd415ebca13d8d0e56f
53509775c7a276dc52ab8c631a6aad8d47f14246 0x47e06 g_main_context_dispatch /lib64/libglib-2.0.so.0 8a8dbcd3e87f003a719234a031cede8df0a3e96c
53509775c7a276dc52ab8c631a6aad8d47f14246 0x48158 g_main_context_iterate.isra.22 /lib64/libglib-2.0.so.0 46ec36a26cbd01d799b65c7eac5a5d67da78119b
53509775c7a276dc52ab8c631a6aad8d47f14246 0x4855a g_main_loop_run /lib64/libglib-2.0.so.0 77b634505509c6df6549d1f3b212720ba69bf227
27ef28cbbdd4f6da0b49a99bc5ab96ed85f4c6cb 0xc9d1 daemon_main /usr/libexec/gvfsd-smb ea1c0074e1ab7099797f726c7474575888fd748d
27ef28cbbdd4f6da0b49a99bc5ab96ed85f4c6cb 0x84f8 main /usr/libexec/gvfsd-smb 954081c6c86092ce4f4ef60457f3dad63cdba3ec

Also have a complet abrt report if needed.
Comment 2 Edouard Bourguignon 2013-07-15 12:53:04 EDT
in fact it's impossible to copy files over samba with nautilus. Easy to reproduce on fresh F19 install.

I will try with nemo.
Comment 3 Edouard Bourguignon 2013-07-15 13:14:03 EDT
If it helps: http://youtu.be/W2UgnfS6f6c a video I made about this bug
Comment 4 Edouard Bourguignon 2013-07-18 08:04:42 EDT
As said in the upstream bug, it works fine with the gvfs-smb mount point. So the bug seems to concern GIO??
Comment 5 Edouard Bourguignon 2013-09-06 02:18:29 EDT
May be related to thumbnails?? Have a lot of these when stracing nautilus:
open("/home/edouard/.cache/thumbnails/fail/gnome-thumbnail-factory/0de6a7261b7cb76a8fb41707e1c73edf.png", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/home/edouard/.cache/thumbnails/fail/gnome-thumbnail-factory/1231c8df8237b71980c01582ea72d087.png", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/home/edouard/.cache/thumbnails/fail/gnome-thumbnail-factory/7868d802af11a801d1fd814f57e52518.png", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/home/edouard/.cache/thumbnails/fail/gnome-thumbnail-factory/6c5a25eed6575607a6941fc216c2b274.png", O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/home/edouard/.local/share/applications/mimeinfo.cache", 0x7fff090bdec0) = -1 ENOENT (No such file or directory)
stat("/home/edouard/.local/share/applications/mimeinfo.cache", 0x7fff090bdfa0) = -1 ENOENT (No such file or directory)
open("/home/edouard/.cache/thumbnails/fail/gnome-thumbnail-factory/d2f74c052f4e392b3c41fbc8545bfeb7.png", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/home/edouard/.cache/thumbnails/fail/gnome-thumbnail-factory/f99272f16cdb692935338b6e2851d9b0.png", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/home/edouard/.cache/thumbnails/fail/gnome-thumbnail-factory/22237c3d1a9251f0570b5fe7ed405e17.png", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/home/edouard/.cache/thumbnails/fail/gnome-thumbnail-factory/55ef4e62f078c13a70aebbba34a01206.png", O_RDONLY) = -1 ENOENT (No such file or directory)
Comment 6 Edouard Bourguignon 2013-09-21 18:03:31 EDT
Seem a patch have been submitted upstream: https://bugzilla.gnome.org/show_bug.cgi?id=697782
Comment 7 Edouard Bourguignon 2014-01-03 08:23:46 EST
seems to work on F20

Note You need to log in before you can comment on or make changes to this bug.